export type TransactionType = "send" | "receive" | "load-wallet";

export interface Transaction {
  id: string;
  type: TransactionType;
  accountNumber: string;
  reference: string;
  amount: number;
  serviceCharge: number;
  beforeBalance: number;
  afterBalance: number;
  description: string;
  date: string;
  status: string;
  timestamp: string;
}

export interface NewTransaction {
  type: TransactionType;
  accountNumber: string;
  reference: string;
  amount: number;
  serviceCharge: number;
  description: string;
  date: string;
}
